#include "Engine.h"

extern "C" __declspec(dllexport)
void make_light (int name, float pos_x, float pos_y, float pos_z, float color_r, 
float color_g, float color_b, float alf)
{  
    GLenum light;

    if (name = 1)
        light = GL_LIGHT0;
    else if (name = 2) 
        light = GL_LIGHT1;
    else if (name = 3) 
        light = GL_LIGHT2;
    else if (name = 4) 
        light = GL_LIGHT3;
    else if (name = 5) 
        light = GL_LIGHT4;
    else if (name = 6) 
        light = GL_LIGHT5;
    else if (name = 7)  
        light = GL_LIGHT6;
    else if (name = 8)
        light = GL_LIGHT7;
  
    GLfloat dcolor[] = {color_r, color_g,color_b, alf};
    glLightfv(light, GL_DIFFUSE, dcolor);
    GLfloat scolor[] = {0, 0, 0, 1};
    glLightfv(light, GL_SPECULAR, scolor);
    GLfloat direction[] = {pos_x, pos_y, pos_z, 0};
    glLightfv(light, GL_POSITION, direction);
    glEnable(light);
    
    glShadeModel(GL_SMOOTH);
    glEnable(GL_LIGHTING);
}

extern "C" __declspec(dllexport)
void change_light (int name, float pos_x, float pos_y, float pos_z, float color_r,
float color_g, float color_b, float alf)
{
    GLenum light;

    if (name = 1)
        light = GL_LIGHT0;
    else if (name = 2) 
        light = GL_LIGHT1;
    else if (name = 3) 
        light = GL_LIGHT2;
    else if (name = 4) 
        light = GL_LIGHT3;
    else if (name = 5) 
        light = GL_LIGHT4;
    else if (name = 6) 
        light = GL_LIGHT5;
    else if (name = 7)  
        light = GL_LIGHT6;
    else if (name = 8)
        light = GL_LIGHT7;
            
    GLfloat dcolor[] = {color_r, color_g,color_b, alf};
    glLightfv(light, GL_DIFFUSE, dcolor);
    GLfloat scolor[] = {0, 0, 0, 1};
    glLightfv(light, GL_SPECULAR, scolor);
    GLfloat direction[] = {pos_x, pos_y, pos_z, 0};
    glLightfv(light, GL_POSITION, direction);
    glEnable(light);
}    

extern "C" __declspec(dllexport)
void material (float amb_r, float amb_g, float amb_b, float met_r,  float met_g,
float met_b)
{
   GLfloat acolor[] = {amb_r, amb_g, amb_b, 1.0};
   glLightModelfv(GL_LIGHT_MODEL_AMBIENT, acolor);
   GLfloat color[] = {met_r, met_g, met_b, 1};
   glMaterialfv(GL_FRONT, GL_AMBIENT_AND_DIFFUSE, color);
}
